## plasma-mediacenter 1.2.0

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pt)
add_subdirectory(ca)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(de)
add_subdirectory(lv)
add_subdirectory(cs)
add_subdirectory(es)
add_subdirectory(zh_TW)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(tr)
add_subdirectory(sk)
add_subdirectory(pt_BR)
add_subdirectory(hu)
add_subdirectory(sl)
add_subdirectory(ca@valencia)
add_subdirectory(nl)

=== browsingbackends/localfiles/CMakeLists.txt ===
add_subdirectory(localvideos)
add_subdirectory(localpictures)
add_subdirectory(localmusic)

=== libs/mediacenter/CMakeLists.txt ===
find_package(Taglib REQUIRED)

include_directories(
    ${TAGLIB_INCLUDES}
)

set (plasmamediacenter_SRCS
    lastfmimagefetcher.cpp
    modelmetadata.cpp
    objectpair.cpp
    mediainfoserviceproxy.cpp
    mediainforesult.cpp
    mediainforequest.cpp
    filteredbackendsmodel.cpp
    mediacenter.cpp
    abstractbrowsingbackend.cpp
    backendsmodel.cpp
    mediainfoservice.cpp
    metadataupdater.cpp
    playlistitem.cpp
    playlistmodel.cpp
    pmccoverartprovider.cpp
    pmcmetadatamodel.cpp
    pmcimagecache.cpp
    pmcimageprovider.cpp
    subtitleprovider.cpp
    filterplaylistmodel.cpp
    multipleplaylistmodel.cpp
)

kde4_add_library(plasmamediacenter SHARED ${plasmamediacenter_SRCS})

target_link_libraries(plasmamediacenter
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_SOLID_LIBS}
    ${TAGLIB_LIBRARIES}
    ${NEPOMUK_CORE_LIBRARY}
    )
set_target_properties(plasmamediacenter PROPERTIES VERSION 1.2 SOVERSION 1.2)

install(TARGETS plasmamediacenter ${INSTALL_TARGETS_DEFAULT_ARGS})

set (plasmamediacenter_HDRS
    modelmetadata.h
    mediacenter.h
    abstractbrowsingbackend.h
    backendsmodel.h
    playlistmodel.h
)

install(FILES ${plasmamediacenter_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/mediacenter COMPONENT Devel)
install(FILES data/servicetypes/pmc_browsingbackend.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== browsingbackends/localfiles/localpictures/CMakeLists.txt ===
set(localpicturesbackend_SRCS
    localpicturesmodel.cpp
    ../localfilesabstractbackend.cpp
    ../localfilesabstractmodel.cpp
    ../localplacesmodel.cpp
    ../localthumbnailprovider.cpp
    localpicturesbackend.cpp
)

kde4_add_plugin(pmc_localpictures ${localpicturesbackend_SRCS})
target_link_libraries(pmc_localpictures
plasmamediacenter
${KDE4_KDECORE_LIBS}
${KDE4_KIO_LIBS}
${KDE4_KFILE_LIBS}
${QT_QTDECLARATIVE_LIBRARIES}
${KDE4_SOLID_LIBS}
)

install(TARGETS pmc_localpictures DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES localpictures.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/localfiles/localvideos/CMakeLists.txt ===
set(localvideosbackend_SRCS
  localvideosmodel.cpp
  ../localfilesabstractbackend.cpp
  ../localfilesabstractmodel.cpp
  ../localplacesmodel.cpp
  ../localthumbnailprovider.cpp
  localvideosbackend.cpp
)


kde4_add_plugin(pmc_localvideos ${localvideosbackend_SRCS})
target_link_libraries(pmc_localvideos 
plasmamediacenter
${KDE4_KDECORE_LIBS}
${KDE4_KIO_LIBS}
${KDE4_KFILE_LIBS}
${QT_QTDECLARATIVE_LIBRARIES}
${KDE4_SOLID_LIBS}
)

install(TARGETS pmc_localvideos DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES localvideos.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/metadatabackends/metadatapicturebackend/CMakeLists.txt ===
set(metadatapicturebackend_SRCS
    metadatapicturemodel.cpp
    ../abstractmetadatabackend.cpp
    metadatapicturebackend.cpp
)

qt4_automoc(${metadatapicturebackend_SRCS})

kde4_add_plugin(pmc_metadatapicturebackend ${metadatapicturebackend_SRCS})

target_link_libraries(pmc_metadatapicturebackend
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${QT_QTCORE_LIBRARIES}
)

install(TARGETS pmc_metadatapicturebackend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES metadatapicturebackend.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/metadatabackends/metadatavideobackend/CMakeLists.txt ===
set(metadatavideobackend_SRCS
    ../metadatabackendcommonmodel.cpp
    metadatavideomodel.cpp
    ../abstractmetadatabackend.cpp
    metadatavideobackend.cpp
)

qt4_automoc(${metadatavideobackend_SRCS})

kde4_add_plugin(pmc_metadatavideobackend ${metadatavideobackend_SRCS})

target_link_libraries(pmc_metadatavideobackend
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${QT_QTCORE_LIBRARIES}
)

install(TARGETS pmc_metadatavideobackend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES metadatavideobackend.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/onlineservices/flickr/CMakeLists.txt ===
set(flickrbackend_SRCS
    flickrmodel.cpp
    flickrbackend.cpp
)

qt4_automoc(${flickrbackend_SRCS})

kde4_add_plugin(pmc_flickrbackend ${flickrbackend_SRCS})

target_link_libraries(pmc_flickrbackend
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTXML_LIBRARY}
)

install(TARGETS pmc_flickrbackend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES flickrbackend.desktop DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-mediacenter 1.0.0

=== debian/changelog ===
plasma-mediacenter (1.0.0-0ubuntu1) raring; urgency=low

  * Initial release, LP: #1159262

 -- Michal Zajac <quintasan@kubuntu.org>  Wed, 06 Feb 2013 14:29:39 +0100

=== debian/control ===
Source: plasma-mediacenter
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Michal Zajac <quintasan@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev,
               libqt4-opengl-dev,
               libtag1-dev,
               nepomuk-core-dev,
               pkg-kde-tools,
               shared-desktop-ontologies
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/multimedia/plasma-mediacenter

Package: plasma-mediacenter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdeclarative-multimedia
Description: multimedia center for KDE desktop
 KDE Plasma Media Center is aimed towards unified media experience on PCs,
 tablets, netbooks, TVs and any device capable of running KDE software.
 Plasma Media Center can be used to view images, play music or watch videos.

Package: plasma-mediacenter-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: multimedia center for KDE desktop - development files
 This package contains development files for Plasma Media Center

Package: plasma-mediacenter-dbg
Section: debug
Architecture: any
Depends: plasma-mediacenter (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depend}
Description: multimedia center for KDE desktop - debugging symbols
 This package contains debugging symbols for Plasma Media Center

## plasma-mediacenter 1.1.0a

=== debian/changelog ===
plasma-mediacenter (1.1.0a-0ubuntu1) saucy; urgency=low

  * New upstream release with l10n files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Aug 2013 12:47:13 +0100

plasma-mediacenter (1.1.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Aug 2013 10:29:59 +0100

plasma-mediacenter (1.0.95-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1210935)
  * Update copyright file
  * Update plasma-mediacenter.install file

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 11 Aug 2013 14:49:23 +0800

plasma-mediacenter (1.0.90-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1209159)
  * Add a new package libplasmamediacenter1.1 for 
    the core library
  * Generate symbols file for libplasmamediacenter1.1
  * Make plasma-mediacenter-dev depend on libplasmamediacenter1.1
    = ${binary:Version}
  * Update debhelper version to >= 9 in debian/control
  * Update debian/compat to 9
  * Update copyright file
  * Add kde-workspace-dev as build-dep
  * Add libqtmultimediakit1 as dep of plasma-mediacenter 
  * Add kffmpegthumbnailer as recommends of plasma-mediacenter
  * Update homepage link

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 02 Aug 2013 11:52:45 +0800

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,37 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michal Zajac <quintasan@kubuntu.org>
 Build-Depends: cmake,
-               debhelper (>= 8.0.0),
+               debhelper (>= 9),
                kdelibs5-dev,
                libqt4-opengl-dev,
                libtag1-dev,
                nepomuk-core-dev,
                pkg-kde-tools,
-               shared-desktop-ontologies
+               shared-desktop-ontologies,
+               kde-workspace-dev
 Standards-Version: 3.9.4
-Homepage: https://projects.kde.org/projects/playground/multimedia/plasma-mediacenter
+Homepage: https://projects.kde.org/projects/extragear/multimedia/plasma-mediacenter
 
 Package: plasma-mediacenter
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdeclarative-multimedia
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdeclarative-multimedia,
+         libqtmultimediakit1
+Recommends: kffmpegthumbnailer
 Description: multimedia center for KDE desktop
  KDE Plasma Media Center is aimed towards unified media experience on PCs,
  tablets, netbooks, TVs and any device capable of running KDE software.
  Plasma Media Center can be used to view images, play music or watch videos.
 
+Package: libplasmamediacenter1.1
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: multimedia center for KDE desktop - library files
+ This package contains libraries for Plasma Media Center
+
 Package: plasma-mediacenter-dev
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, 
+         libplasmamediacenter1.1 (= ${binary:Version})
 Description: multimedia center for KDE desktop - development files
  This package contains development files for Plasma Media Center

## plasma-mediacenter 1.2.0

=== debian/changelog ===
plasma-mediacenter (1.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Feb 2014 10:19:09 +0000

plasma-mediacenter (1.1.9-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Nov 2013 15:15:20 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  tablets, netbooks, TVs and any device capable of running KDE software.
  Plasma Media Center can be used to view images, play music or watch videos.
 
-Package: libplasmamediacenter1.1
+Package: libplasmamediacenter1.2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: multimedia center for KDE desktop - library files
@@ -34,7 +34,7 @@
 Package: plasma-mediacenter-dev
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
-         libplasmamediacenter1.1 (= ${binary:Version})
+         libplasmamediacenter1.2 (= ${binary:Version})
 Description: multimedia center for KDE desktop - development files
  This package contains development files for Plasma Media Center

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kde --parallel --dbg-package=plasma-mediacenter-dbg

## plasma-mediacenter 1.3.0

=== CMakeLists.txt ===
project(PlasmaMediaCenter)

option(NO_LINK_TO_PLASMA  "Do not link to Plasma at compile-time" OFF)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
        message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
find_package(KDE4Workspace REQUIRED)

add_definitions(
    ${QT_DEFINITIONS}
    ${KDE4_DEFINITIONS}
    ${KDE4_ENABLE_EXCEPTIONS}
)

include_directories(
    ${KDE4_INCLUDES}
    ${KDE4WORKSPACE_INCLUDE_DIR}
    libs/
)

add_subdirectory(libs)

add_subdirectory(plugins)
add_subdirectory(browsingbackends)

add_subdirectory(mediaelements)
add_subdirectory(components)
add_subdirectory(shells)
add_subdirectory(images)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== plugins/CMakeLists.txt ===
find_package(Baloo QUIET)
if(Baloo_FOUND)
    message(STATUS "********** Found Baloo, building Baloo Search plugin")
    add_subdirectory(baloosearch)
else(Baloo_FOUND)
    find_package(NepomukCore QUIET)

    if(NepomukCore_FOUND)
        message(STATUS "********** Found Nepomuk, building Nepomuk Search plugin")
        add_subdirectory(kdedesktopsearch)
    else(NepomukCore_FOUND)
        message(STATUS "********** Neither Baloo nor Nepomuk was found, install one of them to get more functionality")

        if(USE_FILESYSTEM_MEDIA_SOURCE)
            message(STATUS "********** Building the limited Filesystem Search plugin")
            add_subdirectory(filesystemsearch)
        else(USE_FILESYSTEM_MEDIA_SOURCE)
            message(STATUS "********** Because of this, no media sources are being built. Only local browsing will be available")
            message(STATUS "********** If you not on KDE or cannot install Baloo or Nepomuk, set USE_FILESYSTEM_MEDIA_SOURCE=ON to cmake to build the limited Filesystem Search plugin")
        endif(USE_FILESYSTEM_MEDIA_SOURCE)

    endif(NepomukCore_FOUND)

endif(Baloo_FOUND)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,13 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+add_subdirectory(el)
 add_subdirectory(pt)
 add_subdirectory(ca)
 add_subdirectory(da)
 add_subdirectory(sv)
+add_subdirectory(pl)
+add_subdirectory(bs)
 add_subdirectory(uk)
 add_subdirectory(fr)
 add_subdirectory(de)
@@ -27,6 +30,7 @@
 add_subdirectory(tr)
 add_subdirectory(sk)
 add_subdirectory(pt_BR)
+add_subdirectory(it)
 add_subdirectory(hu)
 add_subdirectory(sl)
 add_subdirectory(ca@valencia)

=== libs/mediacenter/CMakeLists.txt ===
find_package(Taglib REQUIRED)

include_directories(
    ${TAGLIB_INCLUDES}
)
set (plasmamediacenter_SRCS
    pmcruntime.cpp
    medialibrarywrappercache.cpp
    artist.cpp
    album.cpp
    media.cpp
    lastfmimagefetcher.cpp
    modelmetadata.cpp
    objectpair.cpp
    filteredbackendsmodel.cpp
    mediacenter.cpp
    abstractbrowsingbackend.cpp
    backendsmodel.cpp
    playlistitem.cpp
    playlistmodel.cpp
    pmccoverartprovider.cpp
    pmcmetadatamodel.cpp
    pmcimagecache.cpp
    subtitleprovider.cpp
    filterplaylistmodel.cpp
    multipleplaylistmodel.cpp
    medialibrary.cpp
    pmcmedia.cpp
    pmcalbum.cpp
    pmcartist.cpp
    filtermediamodel.cpp
    abstractmediasource.cpp
    mediasourcesloader.cpp
    singletonfactory.cpp
    mediavalidator.cpp
    settings.cpp
    mpris2/mpris2.cpp
    mpris2/mediaplayer2.cpp
    mpris2/mediaplayer2player.cpp
)

kde4_add_library(plasmamediacenter SHARED
    ${plasmamediacenter_SRCS}
)

target_link_libraries(plasmamediacenter
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${TAGLIB_LIBRARIES}
)

kde4_add_library(plasmamediacentertest SHARED
    ${plasmamediacenter_SRCS}
)

set_target_properties(plasmamediacentertest
PROPERTIES COMPILE_FLAGS  -fvisibility=default
)

target_link_libraries(plasmamediacentertest
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${TAGLIB_LIBRARIES}
)

set_target_properties(plasmamediacenter PROPERTIES VERSION 1.3 SOVERSION 1.3)

install(TARGETS plasmamediacenter ${INSTALL_TARGETS_DEFAULT_ARGS})

set (plasmamediacenter_HDRS
    abstractbrowsingbackend.h
    abstractmediasource.h
    modelmetadata.h
    mediacenter.h
    medialibrary.h
    pmcimagecache.h
    pmcmedia.h
    pmcalbum.h
    pmcartist.h
    singletonfactory.h
)

install(FILES ${plasmamediacenter_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/mediacenter COMPONENT Devel)
install(FILES data/servicetypes/pmc_browsingbackend.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES data/servicetypes/pmc_mediasource.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== plugins/filesystemsearch/CMakeLists.txt ===
set(filesystemsearch_SRCS
    filesystemsearchmediasource.cpp
)

qt4_automoc(${filesystemsearch_SRCS})

kde4_add_plugin(pmc_filesystemsearch ${filesystemsearch_SRCS})

target_link_libraries(pmc_filesystemsearch
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${QT_QTGUI_LIBRARIES}
)

install(TARGETS pmc_filesystemsearch DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES filesystemsearch.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/localfiles/localmusic/CMakeLists.txt ===
find_package(Taglib)
include_directories (${TAGLIB_INCLUDES})

set(localmusicbackend_SRCS
  localmusicmodel.cpp
  ../localfilesabstractbackend.cpp
  ../localfilesabstractmodel.cpp
  ../localplacesmodel.cpp
  localmusicbackend.cpp
)

kde4_add_plugin(pmc_localmusic ${localmusicbackend_SRCS})

target_link_libraries(pmc_localmusic
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KFILE_LIBS}
    ${TAGLIB_LIBRARIES}
    ${KDE4_SOLID_LIBS}
    ${QT_QTDECLARATIVE_LIBRARIES}
)

install(TARGETS pmc_localmusic DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES localmusic.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/localfiles/localpictures/CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,14 @@
 )
 
 kde4_add_plugin(pmc_localpictures ${localpicturesbackend_SRCS})
+
 target_link_libraries(pmc_localpictures
-plasmamediacenter
-${KDE4_KDECORE_LIBS}
-${KDE4_KIO_LIBS}
-${KDE4_KFILE_LIBS}
-${QT_QTDECLARATIVE_LIBRARIES}
-${KDE4_SOLID_LIBS}
+    plasmamediacenter
+    ${KDE4_KDECORE_LIBS}
+    ${KDE4_KIO_LIBS}
+    ${KDE4_KFILE_LIBS}
+    ${QT_QTDECLARATIVE_LIBRARIES}
+    ${KDE4_SOLID_LIBS}
 )
 
 install(TARGETS pmc_localpictures DESTINATION ${PLUGIN_INSTALL_DIR})

=== browsingbackends/metadatabackends/metadatamusicbackend/CMakeLists.txt ===
set(metadatamusicbackend_SRCS
    metadatamusicsongsmodel.cpp
    ../metadatabackendcommonmodel.cpp
    alwaysexpandedmetadatamodel.cpp
    categoriesmodel.cpp
    ../abstractmetadatabackend.cpp
    metadatamusicbackend.cpp
)

qt4_automoc(${metadatamusicbackend_SRCS})

kde4_add_plugin(pmc_metadatamusicbackend ${metadatamusicbackend_SRCS})

target_link_libraries(pmc_metadatamusicbackend
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KFILE_LIBS}
    ${QT_QTDECLARATIVE_LIBRARIES}
)

install(TARGETS pmc_metadatamusicbackend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES metadatamusicbackend.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/utility/exit/CMakeLists.txt ===
set(exitbackend_SRCS
    exitbackend.cpp
)

qt4_automoc(${exitbackend_SRCS})

kde4_add_plugin(pmc_exit ${exitbackend_SRCS})

target_link_libraries(pmc_exit
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${QT_QTCORE_LIBRARIES}
)

install(TARGETS pmc_exit DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES pmcexit.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== browsingbackends/utility/fullscreen/CMakeLists.txt ===
set(fullscreenbackend_SRCS
  fullscreenbackend.cpp
)

qt4_automoc(${fullscreenbackend_SRCS})

kde4_add_plugin(pmc_fullscreen ${fullscreenbackend_SRCS})

target_link_libraries(pmc_fullscreen
    plasmamediacenter
    ${KDE4_KDECORE_LIBS}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
)

install(TARGETS pmc_fullscreen DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES pmcfullscreen.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-mediacenter (1.3.0-0ubuntu3~ubuntu14.04.1) trusty; urgency=medium

  * SRU to trusty due to broken package in archive LP: #1334595

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 02 Jul 2014 20:21:07 +0200

plasma-mediacenter (1.3.0-0ubuntu3) utopic; urgency=medium

  * Remove unnecessary package libplasmadaptor LP: #1334595

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 02 Jul 2014 20:19:36 +0200

plasma-mediacenter (1.3.0-0ubuntu2) utopic; urgency=medium

  * New upstream release (LP: #1334595)
  * Disabled tests, mockcpp is unavailable at this time.
  * Build with -DNO_LINK_TO_PLASMA=ON to prevent freezes from incompatible
    gstreamer versions

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Sun, 29 Jun 2014 07:06:26 -0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michal Zajac <quintasan@kubuntu.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
+Build-Depends: baloo-dev | baloo-kf5-dev,
+               cmake,
+               debhelper (>= 9),               
                kdelibs5-dev,
+               libkfilemetadata-dev,
                libqt4-opengl-dev,
                libtag1-dev,
-               nepomuk-core-dev,
                pkg-kde-tools,
                shared-desktop-ontologies,
                kde-workspace-dev
@@ -18,14 +19,15 @@
 Package: plasma-mediacenter
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdeclarative-multimedia,
-         libqtmultimediakit1
-Recommends: kffmpegthumbnailer
+         libqtmultimediakit1, baloo | baloo-kf5
+Recommends: kffmpegthumbnailer, gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-bad,
+            gstreamer0.10-plugins-good
 Description: multimedia center for KDE desktop
  KDE Plasma Media Center is aimed towards unified media experience on PCs,
  tablets, netbooks, TVs and any device capable of running KDE software.
  Plasma Media Center can be used to view images, play music or watch videos.
 
-Package: libplasmamediacenter1.2
+Package: libplasmamediacenter1.3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: multimedia center for KDE desktop - library files
@@ -34,7 +36,7 @@
 Package: plasma-mediacenter-dev
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
-         libplasmamediacenter1.2 (= ${binary:Version})
+         libplasmamediacenter1.3 (= ${binary:Version})
 Description: multimedia center for KDE desktop - development files
  This package contains development files for Plasma Media Center

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 %:
 	dh $@ --with kde --parallel --dbg-package=plasma-mediacenter-dbg
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DKDE4_BUILD_TESTS=false -DNO_LINK_TO_PLASMA=ON

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma-mediacenter/([\d\.]*)/src/plasma-mediacenter-(.*)\.tar\.bz2

## plasma-mediacenter 5.4.2

=== debian/changelog ===
plasma-mediacenter (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:00:16 +0100

plasma-mediacenter (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:23:29 +0100

plasma-mediacenter (4:5.4.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:55:20 +0100

plasma-mediacenter (4:5.3.95-0ubuntu2) wily; urgency=medium

  * No-change rebuild for new baloo-kf5

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 16 Aug 2015 13:03:11 +0100

plasma-mediacenter (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:20:07 +0200

plasma-mediacenter (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:37:04 +0000

plasma-mediacenter (5.3.1-1~) UNRELEASED; urgency=medium

  * Initial Debian release.
  * New upstream patch:
    upstream_replace_reference_to_license_with_the_bsd_license
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:54:15 +0200

plasma-mediacenter (4:5.3.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:40:53 +0200

plasma-mediacenter (1.3.0-0ubuntu4) utopic; urgency=medium

  * Remove useless baloo-kf5 build-dep
  * Depend only on baloo, now a virtual package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jul 2014 17:46:16 +0200

=== debian/control ===
Source: plasma-mediacenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.8~),
               kio-dev (>= 5.5.0~),
               libkf5activities-dev,
               libkf5config-dev (>= 5.5.0~),
               libkf5configwidgets-dev (>= 5.5.0~),
               libkf5coreaddons-dev (>= 5.5.0~),
               libkf5declarative-dev (>= 5.5.0~),
               libkf5filemetadata-dev,
               libkf5guiaddons-dev (>= 5.5.0~),
               libkf5i18n-dev (>= 5.5.0~),
               libkf5service-dev (>= 5.5.0~),
               libkf5windowsystem-dev (>= 5.5.0~),
               libkfilemetadata-dev,
               libtag1-dev,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev (>= 5.5.0~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-mediacenter
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/plasma-mediacenter.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/plasma-mediacenter.git

Package: plasma-mediacenter
Architecture: any
Depends: baloo-kf5,
         plasma-workspace,
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer0.10-plugins-bad,
            gstreamer0.10-plugins-good,
            gstreamer0.10-plugins-ugly,
            kffmpegthumbnailer
Description: multimedia center for KDE desktop
 KDE Plasma Media Center is aimed towards unified media experience on PCs,
 tablets, netbooks, TVs and any device capable of running KDE software.
 Plasma Media Center can be used to view images, play music or watch videos.

Package: plasma-mediacenter-dbg
Section: debug
Architecture: any
Priority: extra
Depends: plasma-mediacenter (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depend}
Description: multimedia center for KDE desktop - debugging symbols
 This package contains debugging symbols for Plasma Media Center

## plasma-mediacenter 5.5.5

=== CMakeLists.txt ===
project(PlasmaMediaCenter)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.3.0")
set (KF5_MIN_VERSION "5.5.0")

set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR "5")

find_package(ECM 0.0.8 REQUIRED NO_MODULE)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(GenerateExportHeader)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(ECMMarkNonGuiExecutable)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
        message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

find_package(Qt5 CONFIG REQUIRED COMPONENTS Core DBus Xml Quick Test)

find_package(Qt5Multimedia QUIET)
set_package_properties(Qt5Multimedia PROPERTIES
        PURPOSE "Qt5Multimedia QML bindings are required at runtime to play media files"
        TYPE RUNTIME)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

# Load the frameworks we need
find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS REQUIRED
    CoreAddons Config I18n GuiAddons Service KIO Declarative Activities Plasma PlasmaQuick)

find_package(KF5Baloo)
add_feature_info("KF5Baloo" KF5Baloo_FOUND "Required for Baloo integration")
find_package(Taglib REQUIRED)

include_directories(
    ${TAGLIB_INCLUDES}
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    libs/
)

# if plasma-workspace is installed in different prefix then pmc then it will not work

set(STARTKDE_BINARY_DIR ${CMAKE_INSTALL_FULL_BINDIR})

configure_file(plasma-mediacenter.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-mediacenter.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasma-mediacenter.desktop
        DESTINATION ${DATA_INSTALL_DIR}/xsessions
)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE_ENABLE_EXCEPTIONS}")
set(CMAKE_AUTOMOC ON)

add_subdirectory(browsingbackends)
add_subdirectory(datasources)
#add_subdirectory(onlineservices)
add_subdirectory(mediaelements)
add_subdirectory(components)
add_subdirectory(libs)
add_subdirectory(shells)
add_subdirectory(images)
add_subdirectory(tests)
add_subdirectory(autotests)
#
# include(MacroOptionalAddSubdirectory)
# macro_optional_add_subdirectory( po )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
enable_testing()
include(CTest)
include(ECMAddTests)

SET(QT_USE_QTMAIN TRUE)
SET(QT_USE_QTTEST TRUE)

kde_enable_exceptions()

set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(pmc_test_SRCS
    medialibrarytest.cpp
    singletonfactorytest.cpp
    lastfmimagefetchertest.cpp
    pmcmediatest.cpp
    mediatest.cpp
    mediacentertest.cpp
    itemcachetest.cpp
    pmcalbumtest.cpp
    pmcartisttest.cpp
    runtimedatatest.cpp
)

ecm_add_tests(
    ${pmc_test_SRCS}
    LINK_LIBRARIES plasmamediacentertest Qt5::Test
    NAME_PREFIX "pmctest-"
    )

=== browsingbackends/CMakeLists.txt ===
add_subdirectory(metadatamusicbackend)
add_subdirectory(metadatavideobackend)
add_subdirectory(metadatapicturebackend)
#add_subdirectory(eventsbackend)

=== components/CMakeLists.txt ===
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)
install(FILES CategoriesBrowser.qml DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)
install(FILES MediaInfoPanel.qml DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)
install(FILES AutoHide.qml DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)
install(DIRECTORY common DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)
install(DIRECTORY gridbrowser DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)
install(DIRECTORY listbrowser DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter/components)

=== datasources/CMakeLists.txt ===
add_subdirectory(baloosearch)
add_subdirectory(filesystemsearch)

=== browsingbackends/metadatamusicbackend/CMakeLists.txt ===
set(metadatamusicbackend_SRCS
    metadatamusicbackend.cpp
)

add_library(pmc_metadatamusicbackend MODULE ${metadatamusicbackend_SRCS})
set_target_properties(pmc_metadatamusicbackend PROPERTIES PREFIX "")

target_link_libraries(pmc_metadatamusicbackend
    plasmamediacenter
)

kcoreaddons_desktop_to_json(pmc_metadatamusicbackend metadatamusicbackend.desktop)

install(TARGETS pmc_metadatamusicbackend DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/mediacenter/browsingbackends)

=== datasources/baloosearch/CMakeLists.txt ===
if(NOT KF5Baloo_FOUND)
    return()
endif()
find_package(KF5FileMetaData REQUIRED)

set(baloosearch_SRCS
    audiosearchresulthandler.cpp
    videosearchresulthandler.cpp
    imagesearchresulthandler.cpp
    searchresulthandler.cpp
    baloosearchmediasource.cpp
)

add_library(pmc_baloosearch MODULE ${baloosearch_SRCS})
set_target_properties(pmc_baloosearch PROPERTIES PREFIX "")

target_link_libraries(pmc_baloosearch
    plasmamediacenter
    Qt5::DBus
    KF5::Baloo
    KF5::FileMetaData
)

kcoreaddons_desktop_to_json(pmc_baloosearch baloosearch.desktop)

install(TARGETS pmc_baloosearch DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/mediacenter/datasources)

=== libs/mediacenter/CMakeLists.txt ===
include(ECMMarkAsTest)
include_directories(
    ${TAGLIB_INCLUDES}
)
set (plasmamediacenter_SRCS
    modelsinbackendmodel.cpp
    iconimageprovider.cpp
    runtimedata.cpp
    itemcache.cpp
    medialibrarywrappercache.cpp
    artist.cpp
    album.cpp
    media.cpp
    lastfmimagefetcher.cpp
    pmcmodel.cpp
    objectpair.cpp
    mediacenter.cpp
    abstractbrowsingbackend.cpp
    backendsmodel.cpp
    playlistitem.cpp
    playlistmodel.cpp
    pmccoverartprovider.cpp
    pmcmetadatamodel.cpp
    pmcimagecache.cpp
    subtitleprovider.cpp
    filterplaylistmodel.cpp
    multipleplaylistmodel.cpp
    medialibrary.cpp
    pmcmedia.cpp
    pmcalbum.cpp
    pmcartist.cpp
    filtermediamodel.cpp
    abstractdatasource.cpp
    datasourcesloader.cpp
    singletonfactory.cpp
    mediavalidator.cpp
    settings.cpp
    localthumbnailprovider.cpp
    mpris2/mpris2.cpp
    mpris2/mediaplayer2.cpp
    mpris2/mediaplayer2player.cpp
    mpris2/mediaplayer2tracklist.cpp
)

add_library(plasmamediacenter SHARED
    ${plasmamediacenter_SRCS}
)


set(plasmamediacenter_link_libs
    Qt5::Core
    Qt5::Quick
    Qt5::Xml
    Qt5::DBus
    KF5::I18n
    KF5::ConfigCore
    KF5::GuiAddons
    KF5::CoreAddons
    KF5::Service
    KF5::Activities
    KF5::KIOWidgets
    ${TAGLIB_LIBRARIES}
)

target_link_libraries(plasmamediacenter
    ${plasmamediacenter_link_libs}
)

generate_export_header(plasmamediacenter
    BASE_NAME mediacenter
    EXPORT_MACRO_NAME MEDIACENTER_EXPORT
)

add_library(plasmamediacentertest SHARED
    ${plasmamediacenter_SRCS}
)

ecm_mark_as_test(plasmamediacentertest)

set_target_properties(plasmamediacentertest
PROPERTIES COMPILE_FLAGS  -fvisibility=default
)

target_link_libraries(plasmamediacentertest
    ${plasmamediacenter_link_libs}
)

set_target_properties(plasmamediacenter PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(TARGETS plasmamediacenter ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

install(FILES data/servicetypes/pmc_browsingbackend.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES data/servicetypes/pmc_datasource.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(plugin)

=== onlineservices/flickr/CMakeLists.txt ===
set(flickrbackend_SRCS
    flickrmodel.cpp
    flickrbackend.cpp
)

add_library(pmc_flickrbackend MODULE ${flickrbackend_SRCS})
set_target_properties(pmc_flickrbackend PROPERTIES PREFIX "")

target_link_libraries(pmc_flickrbackend
    plasmamediacenter
)

kcoreaddons_desktop_to_json(pmc_flickrbackend flickrbackend.desktop)

install(TARGETS pmc_flickrbackend DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/mediacenter/browsingbackends)

=== onlineservices/youtube/CMakeLists.txt ===
set(youtubebackend_SRCS
    diskcache.cpp
    networkaccess.cpp
    videodefinition.cpp
    networkaccess.cpp
    video.cpp
    youtubemodel.cpp
    youtubebackend.cpp
    videodetailsmodel.cpp
)

add_library(pmc_youtubebackend MODULE ${youtubebackend_SRCS})
set_target_properties(pmc_youtubebackend PROPERTIES PREFIX "")

target_link_libraries(pmc_youtubebackend
    plasmamediacenter
)

kcoreaddons_desktop_to_json(pmc_youtubebackend youtubebackend.desktop)

install(TARGETS pmc_youtubebackend DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/mediacenter/browsingbackends)
ecm_install_icons( ${ICON_INSTALL_DIR} )

=== tests/fakemediasource/CMakeLists.txt ===
set(fakemediasource_SRCS
    fakemediasource.cpp
)

add_library(pmc_fakemediasource MODULE ${fakemediasource_SRCS})
set_target_properties(pmc_fakemediasource PROPERTIES PREFIX "")

target_link_libraries(pmc_fakemediasource
    plasmamediacenter
)

kcoreaddons_desktop_to_json(pmc_fakemediasource fakemediasource.desktop)

install(TARGETS pmc_fakemediasource DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/mediacenter/mediasources)
install(FILES medialist.json DESTINATION ${DATA_INSTALL_DIR}/plasma/mediacenter/mediasources)

=== debian/changelog ===
plasma-mediacenter (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:54:15 -0700

plasma-mediacenter (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial
  * Fix merge

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:27:48 +0100

plasma-mediacenter (4:5.4.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:42:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev,
+Build-Depends: baloo-kf5-dev (>= 5.18.0~),
                cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.8~),
-               kio-dev (>= 5.5.0~),
-               libkf5activities-dev,
-               libkf5config-dev (>= 5.5.0~),
-               libkf5configwidgets-dev (>= 5.5.0~),
-               libkf5coreaddons-dev (>= 5.5.0~),
-               libkf5declarative-dev (>= 5.5.0~),
-               libkf5filemetadata-dev,
-               libkf5guiaddons-dev (>= 5.5.0~),
-               libkf5i18n-dev (>= 5.5.0~),
-               libkf5service-dev (>= 5.5.0~),
-               libkf5windowsystem-dev (>= 5.5.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5activities-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5declarative-dev (>= 5.18.0~),
+               libkf5filemetadata-dev (>= 5.18.0~),
+               libkf5guiaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                libkfilemetadata-dev,
                libtag1-dev,
                pkg-kde-tools (>> 0.15.15),
-               plasma-framework-dev (>= 5.5.0~),
+               plasma-framework-dev (>= 5.18.0~),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-mediacenter-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/plasma-mediacenter-([\d.]+)\.tar\.xz

## plasma-mediacenter 5.7.3

=== debian/changelog ===
plasma-mediacenter (5.7.3-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:05:45 +0200

plasma-mediacenter (5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:36:14 +0200

plasma-mediacenter (5.6.5-2) unstable; urgency=medium

  * Team upload.
  * Remove unused libkfilemetadata-dev build dependency.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove plasma-mediacenter.install, no more used now
  * Replace the gstreamer0.10-* recommends with gstreamer1.0-* ones.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Jul 2016 07:52:51 +0200

plasma-mediacenter (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:47:28 +0200

plasma-mediacenter (5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:25:35 +0200

plasma-mediacenter (5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:50 +0100

plasma-mediacenter (5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:42 +0100

plasma-mediacenter (5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:53 +0200

plasma-mediacenter (5.4.1-1) unstable; urgency=medium

  * Merge kubuntu changes.
  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 10:46:27 +0200

plasma-mediacenter (5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Remove upstream patch:
    upstream_replace_reference_to_license_with_the_bsd_license

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 01:35:57 +0200

plasma-mediacenter (5.3.2-1) unstable; urgency=medium

  * Initial Debian release.
  * New upstream patch:
    upstream_replace_reference_to_license_with_the_bsd_license
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 14:23:02 +0200

=== debian/control ===
Source: plasma-mediacenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.8~),
               kio-dev (>= 5.5.0~),
               libkf5activities-dev (>= 5.5.0~),
               libkf5config-dev (>= 5.5.0~),
               libkf5configwidgets-dev (>= 5.5.0~),
               libkf5coreaddons-dev (>= 5.5.0~),
               libkf5declarative-dev (>= 5.5.0~),
               libkf5filemetadata-dev,
               libkf5guiaddons-dev (>= 5.5.0~),
               libkf5i18n-dev (>= 5.5.0~),
               libkf5service-dev (>= 5.5.0~),
               libkf5windowsystem-dev (>= 5.5.0~),
               libtag1-dev,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev (>= 5.5.0~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-mediacenter
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/plasma-mediacenter.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/plasma-mediacenter.git

Package: plasma-mediacenter
Architecture: any
Depends: baloo-kf5,
         plasma-workspace,
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-bad,
            gstreamer1.0-plugins-good,
            gstreamer1.0-plugins-ugly
Description: multimedia center for KDE desktop
 KDE Plasma Media Center is aimed towards unified media experience on PCs,
 tablets, netbooks, TVs and any device capable of running KDE software.
 Plasma Media Center can be used to view images, play music or watch videos.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-mediacenter-dbg (<= 5.5.5-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## plasma-mediacenter 5.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(QT_MIN_VERSION "5.3.0")
 set (KF5_MIN_VERSION "5.5.0")
 
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.7.3")
 set(PROJECT_VERSION_MAJOR "5")
 
 find_package(ECM 0.0.8 REQUIRED NO_MODULE)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
 set(pmc_test_SRCS
     medialibrarytest.cpp
     singletonfactorytest.cpp
-    lastfmimagefetchertest.cpp
     pmcmediatest.cpp
     mediatest.cpp
     mediacentertest.cpp

=== shells/CMakeLists.txt ===
plasma_install_package(next org.kde.plasma.mediacenter shells shell)
install(FILES plasma-mediacenter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== tests/datasourceloadertest/CMakeLists.txt ===
set (pmc_SRCS
    application.cpp
    )

set(datasourcesloadertest_SRCS
    datasourceloadertest.cpp
)

add_executable(datasourcesloadertest ${datasourcesloadertest_SRCS})
target_link_libraries(datasourcesloadertest
    plasmamediacenter
)

=== libs/mediacenter/plugin/CMakeLists.txt ===
set (mediacenterplugin_SRCS
    qmlaccess.cpp
    mediacenterplugin.cpp
)

add_library(mediacenterplugin SHARED ${mediacenterplugin_SRCS} )

target_link_libraries(mediacenterplugin
    plasmamediacenter
    Qt5::Qml
)

install(TARGETS mediacenterplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/mediacenter)

=== debian/changelog ===
plasma-mediacenter (5.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Update the build dependencies:
    - remove unused libkf5configwidgets-dev, libkf5filemetadata-dev, and
      libkf5windowsystem-dev
    - switch the transitional kio-dev & plasma-framework-dev build dependencies
      to libkf5kio-dev & libkf5plasma-dev
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Dec 2017 11:03:50 +0100

=== debian/tests/control ===
Tests: testsuite
Depends: @, build-essential, debhelper, cmake,
         xvfb, xauth, dbus-x11, libqt5test5
Restrictions: build-needed

=== debian/watch ===
version=4
https://download.kde.org/stable/plasma-mediacenter/([\d.]+)/plasma-mediacenter-([\d.]+)\.tar\.xz
